# realtime.hh File Reference

General algorithms concerning realtime aspect of automata. More...

Include dependency graph for realtime.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
void | realtime_here (Element< A, AI > &a, misc::direction_type dir)
| Modify an automaton in place to make it realtime.
template<typename A , typename AI >
Element< A, AI > | realtime (const Element< A, AI > &a, misc::direction_type dir)
| Create a realtime automaton from another one.

## Detailed Description

General algorithms concerning realtime aspect of automata.

An automaton over a free monoid is realtime if all its transitions are labeled by single letters of . (Weights do not matter.)

See also:
  is_realtime(), realtime_here(), realtime()

Definition in file realtime.hh.